Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jndi
Interface WLContext

All Known Subinterfaces:
  TengahContext

public interface WLContext
extends javax.naming.Context

Interface for a WebLogic naming context. This extends `javax.naming.Context` with several WebLogic-specific environment properties, and methods for deleting one of several objects stored in a pool under one name.

Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.

Field Summary
`static java.lang.String` | `CREATE_INTERMEDIATE_CONTEXTS` Specifies how to handle non-existent intermediate contexts.
`static java.lang.String` | `DELEGATE_ENVIRONMENT` Specifies the JNDI environment to use for connecting to a third-party naming service through the WebLogic Server.
`static java.lang.String` | `PIN_TO_PRIMARY_SERVER` Cluster-specific: If true, this property forces the context stub to connect to the primary naming server only (i.e., the server currently running at host specified by `Context.PROVIDER_URL`).
`static java.lang.String` | `PROVIDER_RJVM` Specifies the RJVM to use as the naming server.
`static java.lang.String` | `REPLICATE_BINDINGS` Cluster-specific: Specifies whether tree modifications are replicated and is only applicable when connecting to WebLogic Servers that are running in a cluster.
`static java.lang.String` | `SSL_CLIENT_CERTIFICATE` Specifies an RSA private key and a chain of certificates for client authentication.
`static java.lang.String` | `SSL_CLIENT_KEY_PASSWORD` Specifies the pasword for an encrypted PKCS5/PKCS8 RSA private key.
`static java.lang.String` | `SSL_ROOT_CA_FINGERPRINTS` Specifies which certificate authorities to trust.
`static java.lang.String` | `SSL_SERVER_NAME` Specifies an expected name of an SSL server as a String.
`static java.lang.String` | `USE_IIOP_SERVICE_PROVIDER` Specified when the caller intends to use the Weblogic IIOP service provider to establish an IIOP connection to the naming server.

Fields inherited from class javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Method Summary
`java.lang.String` | `getNameInNamespace(java.lang.String relativeName)` Returns the full name of a property, relative to the root of this namespace.
`void` | `unbind(javax.naming.Name name, java.lang.Object service)` Unbinds the specified service from the specified name.
`void` | `unbind(java.lang.String name, java.lang.Object service)` Unbinds the specified service from the specified name.

Methods inherited from interface javax.naming.Context
`addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getEnvironment, getNameInNamespace, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

Field Detail

### CREATE_INTERMEDIATE_CONTEXTS

    public static final java.lang.String CREATE_INTERMEDIATE_CONTEXTS

  Specifies how to handle non-existent intermediate contexts. If this property is true, performing a bind, rebind, or createSubcontext with a name that specifies non- existent intermediate contexts will cause those contexts to be created.

### DELEGATE_ENVIRONMENT

    public static final java.lang.String DELEGATE_ENVIRONMENT

  Specifies the JNDI environment to use for connecting to a third-party naming service through the WebLogic Server. When this property is specified, WLInitialContextFactory uses the WebLogic Server to create a three-tier connection to a third-party naming service. The properties contained in the Hashtable specified by this property are used to create an initial context for the third-party naming service, upon which the original initial context delegates its work to the third-party's initial context.

### PROVIDER_RJVM

    public static final java.lang.String PROVIDER_RJVM

  Specifies the RJVM to use as the naming server. This can be used as an alternative to `Context.PROVIDER_URL`. Instead of a URL, this property must specify an RJVM representing the desired server.

### REPLICATE_BINDINGS

    public static final java.lang.String REPLICATE_BINDINGS

  Cluster-specific: Specifies whether tree modifications are replicated and is only applicable when connecting to WebLogic Servers that are running in a cluster. By default, any modification to the naming tree is replicated across the cluster, which ensures that any server can act as a naming server for the entire cluster. Setting this property to false changes this behavior and should be done with extreme caution: a false setting means that modifications to the tree caused by bind, unbind, createSubcontext, and destroySubcontext will not be replicated.

  Understand the implications of this property before changing its default (true).

### PIN_TO_PRIMARY_SERVER

    public static final java.lang.String PIN_TO_PRIMARY_SERVER

  Cluster-specific: If true, this property forces the context stub to connect to the primary naming server only (i.e., the server currently running at host specified by `Context.PROVIDER_URL`). This disables fail-over for the context. By default this property is false.

  This setting should be used when a connection to a specific server is required. Note that this setting will only have the desired effect if `Context.PROVIDER_URL` specifes a host name that maps only to a single server address. It will not work, for example, if the host name maps to multiple server addresses in DNS.

### SSL_ROOT_CA_FINGERPRINTS

    public static final java.lang.String SSL_ROOT_CA_FINGERPRINTS

  Specifies which certificate authorities to trust. The value for this property should be a set of fingerprints (MD5) of the authorities' certificates encoded either as an array of byte arrays, or a comma-separated string of hex values. If specified, the SSL connection can only be established to a server that presents a certificate chain in which the fingerprint of the root matches one of the fingerprints specified by the value of this property.

### SSL_SERVER_NAME

    public static final java.lang.String SSL_SERVER_NAME

  Specifies an expected name of an SSL server as a String. It must match the common name field in the certificate presented by the server. This is typically also the WebLogic Server's DNS name, e.g., www.weblogic.com.

### SSL_CLIENT_CERTIFICATE

    public static final java.lang.String SSL_CLIENT_CERTIFICATE

  Specifies an RSA private key and a chain of certificates for client authentication. In a server, it can be set to the special string SERVER to refer to the server's private key and certificate chain. In general, it can be set to an array of InputStreams, the first element of which is a DER-encoded RSA private key, followed by DER-encoded X.509 certificates. All but the first certificate must be an issuer certificate of the preceding certificate.

  If your key and certificates are encoded using PEM, you can obtain the DER encoding using PEMInputStream.

  See Also:
    `PEMInputStream`

### SSL_CLIENT_KEY_PASSWORD

    public static final java.lang.String SSL_CLIENT_KEY_PASSWORD

  Specifies the pasword for an encrypted PKCS5/PKCS8 RSA private key. Using an encrypted private key is optional.

### USE_IIOP_SERVICE_PROVIDER

    public static final java.lang.String USE_IIOP_SERVICE_PROVIDER

  Specified when the caller intends to use the Weblogic IIOP service provider to establish an IIOP connection to the naming server.

Method Detail

### getNameInNamespace

    public java.lang.String getNameInNamespace(java.lang.String relativeName)
                                        throws javax.naming.NamingException

  Returns the full name of a property, relative to the root of this namespace.

  Parameters:
    `relativeName` - Property name relative to this context
  Returns:
    Full name of property
  Throws:
    javax.naming.NamingException - if a failure occurs

### unbind

    public void unbind(javax.naming.Name name,
                       java.lang.Object service)
                throws javax.naming.NamingException

  Unbinds the specified service from the specified name.

  Parameters:
    `name` - Name of service to unbind (as a Name object)
    `service` - Service object to be unbound
  Throws:
    javax.naming.NamingException - if the service is not available

### unbind

    public void unbind(java.lang.String name,
                       java.lang.Object service)
                throws javax.naming.NamingException

  Unbinds the specified service from the specified name.

  Parameters:
    `name` - Name of service to unbind (as a String)
    `service` - Service object to be unbound
  Throws:
    javax.naming.NamingException - if the service is not available

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference